#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pcre
Version		:	8.45
Release		:	14.4.0.0%{?dist}

Summary		:	Perl-compatible regular expression library
Group		:	Applications/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://www.pcre.org/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
%description
'%{name}' is written in C, and it has its own API. There are three sets of
functions, one for the 8-bit library, which processes strings of bytes, one for
the 16-bit library, which processes strings of 16-bit values, and one for the
32-bit library, which processes strings of 32-bit values. The distribution also
includes a set of C++ wrapper functions (see the pcrecpp man page for details),
courtesy of Google Inc., which can be used to call the 8-bit PCRE library from
C++. Other C++ wrappers have been created from time to time. See, for example:
https://github.com/YasserAsmi/regexp, which aims to be simple and similar in
style to the C API.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}*
%{_bindir}/%{name}*
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/lib%{name}*
%{_defaultdocdir}/%{name}-%{version}/
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-utf8					\
	--enable-unicode-properties			\
	--enable-pcre16					\
	--enable-pcre32					\
	--enable-pcregrep-libz				\
	--enable-pcregrep-libbz2		        \
	--enable-pcretest-libreadline     		\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
